GroovyParser.PathElementContext (Groovy 5.0.6)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.PathElementContext

- org.apache.groovy.parser.antlr4.GroovyParser.PathElementContext

-     public static class GroovyParser.PathElementContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PathElementContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AT()`
    `` | `public TerminalNode` | `DOT()`
    `` | `public TerminalNode` | `METHOD_POINTER()`
    `` | `public TerminalNode` | `METHOD_REFERENCE()`
    `` | `public TerminalNode` | `NEW()`
    `` | `public TerminalNode` | `SAFE_CHAIN_DOT()`
    `` | `public TerminalNode` | `SAFE_DOT()`
    `` | `public TerminalNode` | `SPREAD_DOT()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ArgumentsContext` | `arguments()`
    `` | `public ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `` | `public CreatorContext` | `creator()`
    `` | `public int` | `getRuleIndex()`
    `` | `public IndexPropertyArgsContext` | `indexPropertyArgs()`
    `` | `public NamePartContext` | `namePart()`
    `` | `public NamedPropertyArgsContext` | `namedPropertyArgs()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public PathElementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AT()

    - #### public TerminalNode DOT()

    - #### public TerminalNode METHOD_POINTER()

    - #### public TerminalNode METHOD_REFERENCE()

    - #### public TerminalNode NEW()

    - #### public TerminalNode SAFE_CHAIN_DOT()

    - #### public TerminalNode SAFE_DOT()

    - #### public TerminalNode SPREAD_DOT()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ArgumentsContext arguments()

    - #### public ClosureOrLambdaExpressionContext closureOrLambdaExpression()

    - #### public CreatorContext creator()

    - #### @Override
      public int getRuleIndex()

    - #### public IndexPropertyArgsContext indexPropertyArgs()

    - #### public NamePartContext namePart()

    - #### public NamedPropertyArgsContext namedPropertyArgs()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public NonWildcardTypeArgumentsContext nonWildcardTypeArguments()